\documentclass[border={0mm 0mm  0mm 0mm},varwidth=84mm]{standalone}

\usepackage{pgfplots}
\pgfplotsset{compat=newest}

\pagestyle{empty}

%==============================================================
% to generate plots with tikz
%\usepackage{pgfplots}
\usepackage{tikz}
%\usepackage{pgfplotstable}
\usetikzlibrary{spy}
%==============================================================
%\usetikzlibrary{external}
%\tikzexternalize
%\tikzset{external/force remake}
%\usepackage{tikzscale}
%==============================================================
% subfigure environment
%\usepackage{subcaption}
%==============================================================

% PGF/TikZ macro definition
% A safe way to define constants in tikz environments
% referece:
% https://tex.stackexchange.com/questions/47178/what-is-the-preferred-way-of-defining-a-tikz-constant 
% This bascially automates a \newcommand{<name>}{} to ensure
% that a command with the given <name> does not already exist
\newcommand*{\pgfmathsetnewmacro}[2]{
        \newcommand*{#1}{}            % Error if already defined
        \pgfmathsetmacro{#1}{#2}
}
%--------------------------------------------------------------


\begin{document}
%%\begin{tikzpicture}[
%%    spy using outlines={
%%      %circle,
%%      magnification = 4.5,
%%      size = 2cm,
%%      %width = 1cm,
%%      %height = 1cm,
%%      connect spies,
%%      %every spy in node/.append style={solid},
%%      %every spy on node/.append style={fill, fill opacity = 0.3},
%%      %spy connection path = {\draw[dashed] (tikzspyonnode) -- (tikzspyinnode);},
%%    }
%%]
\begin{tikzpicture} [spy using outlines={
    circle, 
    magnification=6, 
    size=1.50cm, 
    connect spies,
    every spy in node/.append style={solid},
    every spy on node/.append style={fill, fill opacity = 0.3},
    spy connection path = {\draw[dashed] (tikzspyonnode) -- (tikzspyinnode);},
  }]
% ----------------------------------------------------------------------
% configuration variables
\newcommand{\fileIncidence}{initial_mesh_incidence.csv}      % mesh incidence
\newcommand{\fileCoordinates}{initial_mesh_coordinates.csv}      % mesh coordinates
%\newcommand{\fileIncidenceBeam}{../../database/incidence_beam_Line2.csv}      % mesh incidence
\newcommand{\xLabel}{xCoord}                                    % x-axis label
\newcommand{\yLabel}{yCoord}                                    % y-axis label
% ----------------------------------------------------------------------
% mesh plot. 
\begin{axis}[
    axis equal, 
    axis lines = none,
]
\begin{scope}
\addplot [
        patch,
        patch refines=0,
        mesh, 
        help lines,
        line width=0.020pt,
        patch table={\fileIncidence}
        ] 
        table [x=\xLabel, y=\yLabel, col sep=comma] {\fileCoordinates};
        % spy
        \coordinate (spypoint) at (axis cs: 1.99, 0.73);
        \coordinate (lenspoint) at (axis cs: 5.5, 1.10);
%
%\draw [solid, line width = 0.25pt] (axis cs:-1, -0.5) rectangle (axis cs: 1, 0.5);
%
%\addplot [
%        patch,
%        patch refines=0,
%        patch type=line,
%        mesh, 
%        help lines,
%        line width=0.4pt,
%        black,
%        patch table={\fileIncidenceBeam}
%        ] 
%        table [x=\xLabel, y=\yLabel, col sep=comma] {\fileCoordinates};
%
\end{scope}
\end{axis} 
% ----------------------------------------------------------------------
% spy 
\spy on (spypoint) in node[fill=white,thin] at (lenspoint);
\end{tikzpicture}
\end{document}


